ru.bitel.bgbilling.plugins.bonus.common.bean

## Class BonusPayment

- java.lang.Object
- - ru.bitel.bgbilling.plugins.bonus.common.bean.BonusPayment

-     public class BonusPayment
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusPayment()`
    `BonusPayment(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)`
    `BonusPayment(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, Period period)`
    `BonusPayment(int id, int typeId, java.lang.String typeTitle, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()`
    `java.util.Date` | `getDateFrom()`
    `java.lang.String` | `getDatePeriod()`
    `java.lang.String` | `getDateString()`
    `java.util.Date` | `getDateTo()`
    `int` | `getId()`
    `java.math.BigDecimal` | `getSum()`
    `int` | `getTypeId()`
    `java.lang.String` | `getTypeTitle()`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDatePeriod(java.lang.String datePeriod)`
    `void` | `setDateString(java.lang.String dateString)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setId(int id)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setTypeId(int typeId)`
    `void` | `setTypeTitle(java.lang.String typeTitle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BonusPayment

          public BonusPayment()

    - #### BonusPayment

          public BonusPayment(int id,
                              int typeId,
                              java.util.Date date,
                              java.math.BigDecimal sum,
                              java.util.Date dateFrom,
                              java.util.Date dateTo)

      Parameters:
        `id` - - ид( при добовление в базу = 0)
        `typeId` - - ид типа платежа
        `date` - - дата платежа
        `sum` - - сумма
        `dateFrom` - - активна от
        `dateTo` - - активна до

    - #### BonusPayment

          public BonusPayment(int id,
                              int typeId,
                              java.util.Date date,
                              java.math.BigDecimal sum,
                              Period period)

      Parameters:
        `id` - - ид( при добовление в базу = 0)
        `typeId` - - ид типа платежа
        `date` - - дата платежа
        `sum` - - сумма
        `period` - - период активности бонусов данного платежа.

    - #### BonusPayment

          public BonusPayment(int id,
                              int typeId,
                              java.lang.String typeTitle,
                              java.util.Date date,
                              java.math.BigDecimal sum,
                              java.util.Date dateFrom,
                              java.util.Date dateTo)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTypeId

          public int getTypeId()

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### getTypeTitle

          public java.lang.String getTypeTitle()

    - #### setTypeTitle

          public void setTypeTitle(java.lang.String typeTitle)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getDateString

          public java.lang.String getDateString()

    - #### setDateString

          public void setDateString(java.lang.String dateString)

    - #### getDatePeriod

          public java.lang.String getDatePeriod()

    - #### setDatePeriod

          public void setDatePeriod(java.lang.String datePeriod)